# List attached segments for companies

You can fetch a list of all segments that belong to a company.

Endpoint: GET /companies/{id}/segments
Version: 2.7
Security: bearerAuth

## Path parameters:

  - `id` (string, required)
    The unique identifier for the company which is given by Intercom

## Header parameters:

  - `Intercom-Version` (string)

## Response 200 fields (application/json):

  - `type` (string)
    The type of object - `list`
    Enum: "list"

  - `data` (array)
    An array containing Segment Objects

  - `data.type` (string)
    The type of object.
    Enum: "segment"

  - `data.id` (string)
    The unique identifier representing the segment.
    Example: 56203d253cba154d39010062

  - `data.name` (string)
    The name of the segment.
    Example: Active

  - `data.created_at` (integer)
    The time the segment was created.
    Example: 1394621988

  - `data.updated_at` (integer)
    The time the segment was updated.
    Example: 1394622004

  - `data.person_type` (string)
    Type of the contact: contact (lead) or user.
    Enum: "contact", "user"

  - `data.count` (integer)
    The number of items in the user segment. It's returned when `include_count=true` is included in the request.
    Example: 3

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

## Response 404 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

